apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
  labels:
    app: ubi
  name: ubi
  namespace: test-project
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: ubi
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: ubi
    spec:
      #securityContext:
      #  fsGroup: 0
      containers:
      - command:
        - /bin/bash
        - -c
        - while true; do ls /root/buildinfo/; sleep 30; done
        image: registry.access.redhat.com/ubi8/ubi-minimal:8.5-218
        imagePullPolicy: IfNotPresent
        name: ubi-minimal
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /var/run/crio/crio.sock
          name: socket
          readOnly: false
        - mountPath: /host/tmp/pprofs
          name: dumpster
          readOnly: false
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      serviceAccountName: ubi-sa
      terminationGracePeriodSeconds: 30
      volumes:
      - persistentVolumeClaim:
          claimName: pv0002
        name: dumpster
      - hostPath:
          path: /var/run/crio/crio.sock
          type: Socket
        name: socket

